Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.fileupload
Interface UploadedFile

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  UploadedFileDefaultImplBase

public interface UploadedFile
extends java.io.Serializable

Version:
  $Revision: 209487 $ $Date: 2005-07-06 13:49:15 -0400 (Wed, 06 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Method Summary
`byte[]` | `getBytes()` Answer the uploaded file contents.
`java.lang.String` | `getContentType()`
`java.io.InputStream` | `getInputStream()` Answer the uploaded file contents input stream
`java.lang.String` | `getName()`
`long` | `getSize()` Answer the size of this file.

Method Detail

### getBytes

    public byte[] getBytes()
                    throws java.io.IOException

  Answer the uploaded file contents.

  Returns:
    file contents
  Throws:
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Answer the uploaded file contents input stream

  Returns:
    InputStream
  Throws:
    `java.io.IOException`

### getContentType

    public java.lang.String getContentType()

  Returns:
    Returns the _contentType.

### getName

    public java.lang.String getName()

  Returns:
    Returns the _name.

### getSize

    public long getSize()

  Answer the size of this file.

  Returns:
    long

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD